/**************************************************************************
*   Copyright (C) 2005-2006 by Jinsoo Kang                                *
*   jsk@gravitybind.com                                                   *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/

#include "tx.h"

//#include <QPlastiqueStyle>
//#include <QLocale>
//#include <QTranslator>

#include <QtGui>
#include <QtCore>
#include <Qt3Support>


int main( int argc, char ** argv ) {
	QApplication a( argc, argv );
	QApplication::setStyle(new QPlastiqueStyle());

	QString locale = QLocale::system().name();

	QTranslator translator;
	translator.load(QString(":translate/tx_") + locale);
	a.installTranslator(&translator);

	if ( argc <= 1 ) {
		Tx *mw = new Tx();
		mw->setCaption( "tx" );
		mw->show();
	}
	else {
		for (int i = 1; i < argc; i++) {
			Tx *mw = new Tx();
			mw->load( argv[i] );
			mw->show();
		}
	}

	a.connect( &a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()) );
	return a.exec();
}


