/***************************************************************************
 *   Copyright (C) 2005-2006 by Jinsoo Kang                                *
 *   jsk@gravitybind.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef XMLTABLEITEM_H
#define XMLTABLEITEM_H

#include <QtGui>
#include <QtCore>

#include "xmltablestyle.h"


class XmlTableItem : public Q3TableItem {

public:
	enum NodeType {EMPTY=0, ELEMENT, ATTR_KEY, ATTR_VAL, TEXT, CDATA, COMMENT};

	XmlTableItem(NodeType type, Q3Table *t, EditType et, const QString &txt );
	int alignment() const;
	
	QSize sizeHint() const;
	void setSizeHint(bool isInit = FALSE);

	
	QWidget *createEditor() const;
	void setContentFromEditor( QWidget *w );


	bool isSpanCell() const;
	int spanWidth() const;
	NodeType itemType() const;
	void setItemType(NodeType type);

	void setDepth(int d);
	int depth();
	void decreaseDepth();
	void increaseDepth();

	void setExpanded(bool isExpanded);
	bool expanded();


private:
	int nextDepth();
	int previousDepth();
	int countWrapedLines(const QString & str, int maxWidth, const QFontMetrics & metric, int wordWrap) const;
	
	NodeType type;

	QSize size;
	
	int hierDepth;
	bool isExpanded;
};


#endif
