/***************************************************************************
 *   Copyright (C) 2005-2006 by Jinsoo Kang                                *
 *   jsk@gravitybind.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef XMLTABLESTYLE_H
#define XMLTABLESTYLE_H

#include <QtGui>
#include <QtCore>


class XmlTableStyle {
public:
	XmlTableStyle();
	
	QString fontName();
	
	const QString & name() const;
	const QFont & font() const;
	const QColor & bgColor() const;
	const QColor & fgColor() const;
	int alignment() const;
	int wordWrap() const;
	bool isWordWrap();

	QString alignText();
	QString valignText();
	QString wordWrapText();

	void setName(const QString & nameVal);
	void setFont(const QString & fontVal);
	void setFont(const QFont & fontVal);
	
	void setBgColor(const QString & bg);
	void setFgColor(const QString & fg);
	void setAlignment(int align);
	void setWordWrap(int wrap);
	
	int textFlags() const;
	
private:
	QString nameVal;
	QFont fontVal;
	QColor bgColorVal, fgColorVal;
	int align;
	int wrap;
};



#endif
