#ifndef EXTERNALEDITORPREF_H
#define EXTERNALEDITORPREF_H

#include <qvariant.h>


#include <Qt3Support/Q3Frame>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QComboBox>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>

QT_BEGIN_NAMESPACE

class Ui_ExternalEditorPref
{
public:
    QGridLayout *gridLayout;
    Q3Frame *frame4;
    QHBoxLayout *hboxLayout;
    QLabel *textLabel1;
    QLineEdit *lineEdit_extEditor;
    QPushButton *pushButton1;
    QCheckBox *checkBox_allowExtEditor;
    QHBoxLayout *hboxLayout1;
    QLabel *textLabel1_2;
    QComboBox *comboBox_outputEncoding;
    QSpacerItem *spacer2;
    QSpacerItem *spacer5;
    QSpacerItem *spacer3;
    QSpacerItem *spacer4;

    void setupUi(QWidget *ExternalEditorPref)
    {
        if (ExternalEditorPref->objectName().isEmpty())
            ExternalEditorPref->setObjectName(QString::fromUtf8("ExternalEditorPref"));
        ExternalEditorPref->resize(604, 377);
        gridLayout = new QGridLayout(ExternalEditorPref);
        gridLayout->setSpacing(6);
        gridLayout->setMargin(11);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        frame4 = new Q3Frame(ExternalEditorPref);
        frame4->setObjectName(QString::fromUtf8("frame4"));
        frame4->setFrameShape(QFrame::StyledPanel);
        frame4->setFrameShadow(QFrame::Raised);
        frame4->setLineWidth(0);
        hboxLayout = new QHBoxLayout(frame4);
        hboxLayout->setSpacing(6);
        hboxLayout->setMargin(11);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        textLabel1 = new QLabel(frame4);
        textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
        textLabel1->setWordWrap(false);

        hboxLayout->addWidget(textLabel1);

        lineEdit_extEditor = new QLineEdit(frame4);
        lineEdit_extEditor->setObjectName(QString::fromUtf8("lineEdit_extEditor"));

        hboxLayout->addWidget(lineEdit_extEditor);

        pushButton1 = new QPushButton(frame4);
        pushButton1->setObjectName(QString::fromUtf8("pushButton1"));

        hboxLayout->addWidget(pushButton1);


        gridLayout->addWidget(frame4, 2, 0, 1, 1);

        checkBox_allowExtEditor = new QCheckBox(ExternalEditorPref);
        checkBox_allowExtEditor->setObjectName(QString::fromUtf8("checkBox_allowExtEditor"));
        checkBox_allowExtEditor->setChecked(true);

        gridLayout->addWidget(checkBox_allowExtEditor, 1, 0, 1, 1);

        hboxLayout1 = new QHBoxLayout();
        hboxLayout1->setSpacing(6);
        hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
        textLabel1_2 = new QLabel(ExternalEditorPref);
        textLabel1_2->setObjectName(QString::fromUtf8("textLabel1_2"));
        textLabel1_2->setWordWrap(false);

        hboxLayout1->addWidget(textLabel1_2);

        comboBox_outputEncoding = new QComboBox(ExternalEditorPref);
        comboBox_outputEncoding->setObjectName(QString::fromUtf8("comboBox_outputEncoding"));

        hboxLayout1->addWidget(comboBox_outputEncoding);

        spacer2 = new QSpacerItem(221, 41, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout1->addItem(spacer2);


        gridLayout->addLayout(hboxLayout1, 4, 0, 1, 1);

        spacer5 = new QSpacerItem(21, 61, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout->addItem(spacer5, 5, 0, 1, 1);

        spacer3 = new QSpacerItem(21, 51, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout->addItem(spacer3, 3, 0, 1, 1);

        spacer4 = new QSpacerItem(21, 40, QSizePolicy::Minimum, QSizePolicy::Expanding);

        gridLayout->addItem(spacer4, 0, 0, 1, 1);


        retranslateUi(ExternalEditorPref);
        QObject::connect(pushButton1, SIGNAL(clicked()), ExternalEditorPref, SLOT(selectApp()));
        QObject::connect(checkBox_allowExtEditor, SIGNAL(toggled(bool)), frame4, SLOT(setEnabled(bool)));

        QMetaObject::connectSlotsByName(ExternalEditorPref);
    } // setupUi

    void retranslateUi(QWidget *ExternalEditorPref)
    {
        ExternalEditorPref->setWindowTitle(QApplication::translate("ExternalEditorPref", "ExternalEditorPref", 0, QApplication::UnicodeUTF8));
        textLabel1->setText(QApplication::translate("ExternalEditorPref", "Text editor:", 0, QApplication::UnicodeUTF8));
        pushButton1->setText(QApplication::translate("ExternalEditorPref", "Select...", 0, QApplication::UnicodeUTF8));
        checkBox_allowExtEditor->setText(QApplication::translate("ExternalEditorPref", "Allow file to be opened in an external editor when a parse error occurs", 0, QApplication::UnicodeUTF8));
        textLabel1_2->setText(QApplication::translate("ExternalEditorPref", "Output encoding:", 0, QApplication::UnicodeUTF8));
        comboBox_outputEncoding->clear();
        comboBox_outputEncoding->insertItems(0, QStringList()
         << QApplication::translate("ExternalEditorPref", "UTF-8", 0, QApplication::UnicodeUTF8)
         << QApplication::translate("ExternalEditorPref", "UTF-16", 0, QApplication::UnicodeUTF8)
        );
        Q_UNUSED(ExternalEditorPref);
    } // retranslateUi

};

namespace Ui {
    class ExternalEditorPref: public Ui_ExternalEditorPref {};
} // namespace Ui

QT_END_NAMESPACE

class ExternalEditorPref : public QWidget, public Ui::ExternalEditorPref
{
    Q_OBJECT

public:
    ExternalEditorPref(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~ExternalEditorPref();

public slots:
    virtual void selectApp();
    virtual void setEditor( const QString & val );
    virtual QString editor();
    virtual void setDefaultEditor();
    virtual bool editorActive();
    virtual void setEditorActive( bool active );
    virtual QString outputEncoding();
    virtual void setOutputEncoding( const QString & val );

protected slots:
    virtual void languageChange();

private:
    void init();

};

#endif // EXTERNALEDITORPREF_H
