#ifndef MESSAGELIST_H
#define MESSAGELIST_H

#include <qvariant.h>


#include <Qt3Support/Q3Header>
#include <Qt3Support/Q3ListView>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QWidget>

QT_BEGIN_NAMESPACE

class Ui_MessageList
{
public:
    QGridLayout *gridLayout;
    Q3ListView *messageListView;

    void setupUi(QWidget *MessageList)
    {
        if (MessageList->objectName().isEmpty())
            MessageList->setObjectName(QString::fromUtf8("MessageList"));
        MessageList->resize(531, 241);
        gridLayout = new QGridLayout(MessageList);
        gridLayout->setSpacing(6);
        gridLayout->setMargin(0);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        messageListView = new Q3ListView(MessageList);
        messageListView->addColumn(QApplication::translate("MessageList", "Location", 0, QApplication::UnicodeUTF8));
        messageListView->header()->setClickEnabled(true, messageListView->header()->count() - 1);
        messageListView->header()->setResizeEnabled(true, messageListView->header()->count() - 1);
        messageListView->addColumn(QApplication::translate("MessageList", "Message", 0, QApplication::UnicodeUTF8));
        messageListView->header()->setClickEnabled(true, messageListView->header()->count() - 1);
        messageListView->header()->setResizeEnabled(true, messageListView->header()->count() - 1);
        messageListView->setObjectName(QString::fromUtf8("messageListView"));
        QFont font;
        font.setPointSize(8);
        messageListView->setFont(font);

        gridLayout->addWidget(messageListView, 0, 0, 1, 1);


        retranslateUi(MessageList);

        QMetaObject::connectSlotsByName(MessageList);
    } // setupUi

    void retranslateUi(QWidget *MessageList)
    {
        MessageList->setWindowTitle(QApplication::translate("MessageList", "MessageList", 0, QApplication::UnicodeUTF8));
        messageListView->header()->setLabel(0, QApplication::translate("MessageList", "Location", 0, QApplication::UnicodeUTF8));
        messageListView->header()->setLabel(1, QApplication::translate("MessageList", "Message", 0, QApplication::UnicodeUTF8));
        Q_UNUSED(MessageList);
    } // retranslateUi

};

namespace Ui {
    class MessageList: public Ui_MessageList {};
} // namespace Ui

QT_END_NAMESPACE

class MessageList : public QWidget, public Ui::MessageList
{
    Q_OBJECT

public:
    MessageList(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~MessageList();

protected slots:
    virtual void languageChange();

private:
    void init();

};

#endif // MESSAGELIST_H
